Zydis v4.1.1

Loading...
Searching...
No Matches
Mnemonic

Functions for retrieving mnemonic names. More...

## Functions
ZYDIS_EXPORT const char * | ZydisMnemonicGetString (ZydisMnemonic mnemonic)
| Returns the specified instruction mnemonic string.
ZYDIS_EXPORT const ZydisShortString * | ZydisMnemonicGetStringWrapped (ZydisMnemonic mnemonic)
| Returns the specified instruction mnemonic as ZydisShortString.

## Detailed Description

Functions for retrieving mnemonic names.

## Function Documentation

## ◆ ZydisMnemonicGetString()

ZYDIS_EXPORT const char * ZydisMnemonicGetString | ( | ZydisMnemonic | mnemonic | ) |

Returns the specified instruction mnemonic string.

Parameters

  mnemonic | The mnemonic.

Returns
  The instruction mnemonic string or ZYAN_NULL, if an invalid mnemonic was passed.

## ◆ ZydisMnemonicGetStringWrapped()

ZYDIS_EXPORT const ZydisShortString * ZydisMnemonicGetStringWrapped | ( | ZydisMnemonic | mnemonic | ) |

Returns the specified instruction mnemonic as ZydisShortString.

Parameters

  mnemonic | The mnemonic.

Returns
  The instruction mnemonic string or ZYAN_NULL, if an invalid mnemonic was passed.

The buffer of the returned struct is guaranteed to be zero-terminated in this special case.